GDB (xrefs)

Public Member Functions | List of all members
gdb.GdbOutputFile Class Reference
Inheritance diagram for gdb.GdbOutputFile:

## Public Member Functions
def | write (self, s)
def | write (self, s)
Public Member Functions inherited from gdb._GdbFile
def | close (self)
def | isatty (self)
def | writelines (self, iterable)
def | flush (self)
def | close (self)
def | isatty (self)
def | writelines (self, iterable)
def | flush (self)

## Additional Inherited Members
Static Public Attributes inherited from gdb._GdbFile
| encoding
| errors

## Detailed Description

Definition at line 46 of file __init__.py.

## Member Function Documentation

## ◆ write() [1/2]

def gdb.GdbOutputFile.write | ( |  | self,
|  |  | s
| ) |  |

Definition at line 47 of file __init__.py.

Referenced by gdb.GdbOutputFile.write(), and gdb._GdbFile.writelines().

## ◆ write() [2/2]

def gdb.GdbOutputFile.write | ( |  | self,
|  |  | s
| ) |  |

Definition at line 47 of file __init__.py.

References gdb.GdbOutputFile.write().

Referenced by gdb._GdbFile.writelines().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/__init__.py